<?xml version='1.0' encoding='UTF-8' ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:h="http://xmlns.jcp.org/jsf/html"
      xmlns:p="http://primefaces.org/ui"
      xmlns:f="http://xmlns.jcp.org/jsf/core"
      xmlns:ui="http://xmlns.jcp.org/jsf/facelets">
    <h:head>
        <title>Usuario</title>
        <h:outputStylesheet name="style.css" library="css" />
    </h:head>
    <h:body>
        <ui:composition template="./padre.xhtml">
            <ui:define name="content"> 

                <p:fieldset legend="Usuario"   style="margin-bottom:10px" > 
                    <h:form id="ingre">
                        <p:growl id="msg" />
                        <h:panelGrid columns="12" cellpadding="5" cellspacing="2"> 

                            <h:outputText value="Nombre del Médico" />
                            <p:inputText value="#{usuarioController.usuario.medico}" />
                            <h:outputText value="Usuario" />
                            <p:inputText value="#{usuarioController.usuario.usuario}" />
                            <h:outputText value="Clave" />
                            <p:inputText value="#{usuarioController.usuario.clave}" />
                            <h:outputText value="Tipo" />
                            <p:selectOneMenu value="#{usuarioController.usuario.tipo}">
                                <f:selectItem itemValue="A" itemLabel="Administrador"/>
                                <f:selectItem itemValue="O" itemLabel="Participante"/>
                            </p:selectOneMenu>
                            </h:panelGrid>
                            <h:panelGrid columns="4" cellpadding="2" cellspacing="2"> 
                            <div class="registrar"> 
                                <p:commandButton icon="pi pi-save" style="margin-left: 138px;" rendered="#{usuarioController.usuario.medico==null}" value="Registrar"  actionListener="#{usuarioController.guardar()}" update=":tabla ingre" />
                            </div>
                            <p:commandButton icon="pi pi-times"  style="margin-left: 38px;" rendered="#{usuarioController.usuario.medico!=null}" value="Cancelar"  actionListener="#{usuarioController.init()}" update=":tabla ingre" />
                            <p:commandButton icon="pi pi-refresh" rendered="#{usuarioController.usuario.medico!=null}" value="Actualizar" actionListener="#{usuarioController.modificar()}" update=":tabla ingre" /> 

                        </h:panelGrid>
                    </h:form>    
                </p:fieldset>



                <h:form id="tabla" class="cincoColumnas">
                    <p:fieldset legend="Listado de Usuarios">
                        <p:dataTable value="#{usuarioController.lista_usuario}" var="p" id="data">
                            <p:column headerText="Usuario">
                                <h:outputText value="#{p.usuario}"></h:outputText>
                            </p:column>
                            <p:column headerText="Medico">
                                <h:outputText value="#{p.medico}"></h:outputText>
                            </p:column>
                            <p:column headerText="Clave">
                                <h:outputText value="#{p.clave}"></h:outputText>
                            </p:column>   
                            <p:column headerText="Tipo">
                                <h:outputText rendered="#{p.tipo=='A'}" value="Administrador"></h:outputText>
                                <h:outputText rendered="#{p.tipo=='O'}" value="Participante"></h:outputText>
                            </p:column>



                            <p:column headerText="Acciones">
                                <div class="eliminar"> 
                                    <p:commandButton icon="pi pi-trash" value="Eliminar" actionListener="#{usuarioController.eliminar(p)}" update="tabla"/>
                                </div>
                                <div class="editar"> 
                                    <p:commandButton icon="pi pi-pencil" value="Editar" actionListener="#{usuarioController.cargar(p)}" update="ingre"></p:commandButton>
                                </div>
                            </p:column>
                        </p:dataTable>
                    </p:fieldset>
                </h:form>

            </ui:define>
        </ui:composition>
    </h:body>
</html>

